aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartyn Capewell <martyn.capewell@arm.com>2017-03-03 16:44:47 +0000
committerMartyn Capewell <martyn.capewell@arm.com>2017-03-09 18:24:07 +0000
commitf4322ddb42321fa926f235e4539184a761923434 (patch)
tree3e2fd9b27ff741c6ea1e3f304f7716d90baed5e6
parent4a7c4d43f37c1503d8fee5b51ce76f9a4c4d8464 (diff)
Add trace update script
Add a script that pulls in trace results from VIXL, and update the README for this. Change-Id: I85e207be31ddea079a0ae0db5a4186aaae69d0d4
-rw-r--r--README11
-rwxr-xr-xpull-from-vixl.sh89
2 files changed, 99 insertions, 1 deletions
diff --git a/README b/README
index f98ad46..ee2dcaa 100644
--- a/README
+++ b/README
@@ -1 +1,10 @@
-Initial commit.
+This repository holds copies of the reference outputs for the VIXL simulator
+trace-based tests.
+
+The original files can be found at https://git.linaro.org/arm/vixl.git
+
+The files in this repository should not differ from the corresponding files in
+the VIXL repository.
+
+Modifications should be made in the VIXL repository, and the changes imported
+using the provided pull-from-vixl.sh script.
diff --git a/pull-from-vixl.sh b/pull-from-vixl.sh
new file mode 100755
index 0000000..f0cb0de
--- /dev/null
+++ b/pull-from-vixl.sh
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# Copyright 2017, VIXL authors
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+#
+# * Redistributions of source code must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright notice,
+# this list of conditions and the following disclaimer in the documentation
+# and/or other materials provided with the distribution.
+# * Neither the name of ARM Limited nor the names of its contributors may be
+# used to endorse or promote products derived from this software without
+# specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS CONTRIBUTORS "AS IS" AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
+# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+# Pull simulator trace references outputs from the Linaro VIXL repository.
+#
+# This script copies the reference trace outputs from VIXL's git repository
+# into the root directory of this repository.
+#
+# Any changes to the outputs should be made in the VIXL repository, and
+# then imported using this script.
+
+linaro_vixl_git=https://git.linaro.org/arm/vixl.git
+linaro_vixl_traces_dir=vixl/test/aarch64/traces
+
+# Check for outstanding staged or working tree changes.
+git diff-index --quiet HEAD
+git_changes=$?
+
+# Check for untracked files.
+test -z "$(git ls-files --others)"
+untracked_files=$?
+
+# Ensure the user knows what's about to happen.
+echo
+echo "This script will delete all header files in the current directory and"
+echo "fetch the latest trace header files from the Linaro VIXL repository."
+if [ $git_changes -ne 0 ]; then
+ echo
+ echo "NB. You have staged or working tree changes."
+fi
+if [ $untracked_files -ne 0 ]; then
+ echo
+ echo "NB. You have untracked files in the target directory."
+fi
+echo
+
+# Check that the user wants to do this.
+while true; do
+ read -p "Continue? (y/n) " yn
+ case $yn in
+ [Yy]* ) break;;
+ [Nn]* ) exit;;
+ * ) ;;
+ esac
+done
+
+# Delete existing trace header files.
+rm -f *.h
+
+# Check out VIXL from Linaro repository.
+git clone $linaro_vixl_git
+
+# Check for a traces directory.
+if [ ! -d $linaro_vixl_traces_dir ]; then
+ echo "Can't find traces directory in VIXL checkout. Has it been moved?"
+ exit 1
+fi
+
+# Move trace files from repository to the current directory.
+mv $linaro_vixl_traces_dir/*.h .
+
+# Delete repository.
+rm -rf vixl